summary refs log tree commit diff
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2021-04-22 13:23:41 +0200
committerRobert Günzler <r@gnzler.io>2021-04-26 02:09:48 +0200
commita1b25bfa624e0cb540c74d3816d4a69be3bc8f0d (patch)
treebd45ed5a189d9a20bdea0536d13530498d4f8e9a
parentc2d4e1eac011ec3decbf5f4e956a4737dd060cae (diff)
Add bin/rsyncez as a replacement for the shell alias
-rwxr-xr-xbin/rsyncez15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/rsyncez b/bin/rsyncez
new file mode 100755
index 0000000..c79fecd
--- /dev/null
+++ b/bin/rsyncez
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+[ -n "$DEBUG" ] && set -x
+
+[ "$1" = "-mac" ] && shift && mac_args='--rsync-path=/usr/local/bin/rsync' # force brew version
+exec rsync --verbose -hhh \
+				--rsh="ssh -o Compression=no" \
+				--archive \
+				--stats \
+				--partial \
+				--progress \
+				--protect-args \
+				${mac_args} \
+				"$@"